ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000120ClearOSapp-samba - Windows Networkingpublic2010-08-04 10:012010-10-06 15:48
Reporterpbaldwin 
Assigned Topbaldwin 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version5.2 
Target Version5.2-SP1Fixed in Version5.2-SP1 
Summary0000120: Password changes from Windows clients fail
DescriptionPassword changes from Windows clients fail due to a bug in the /usr/sbin/userpasswd script. The script calls User->Password() instead of User->ResetPassword()

Forum reference:
http://www.clearfoundation.com/component/option,com_kunena/Itemid,232/catid,10/func,view/id,14978 [^]
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000131closed It's not possible to change user password from Windows client in Domain enviroment 

-  Notes
(0000271)
pbaldwin (administrator)
2010-09-15 14:35

Source Code Changelog
---------------------------------------------------
- Added includesamba workaround for Windows password changes [tracker 0000120]

File Changes
---------------------------------------------------
Details: http://code.clearfoundation.com/svn/revision.php?repname=ClearOS&rev=93 [^]
U legacy/webconfig/branches/5.2/api/User.class.php
(0000272)
pbaldwin (administrator)
2010-09-15 14:37

Source Code Changelog
---------------------------------------------------
- Changed API call from SetPassword to ResetPassword [tracker 0000120]

File Changes
---------------------------------------------------
Details: http://code.clearfoundation.com/svn/revision.php?repname=ClearOS&rev=94 [^]
U legacy/modules/branches/5.2/app-users/userpasswd
(0000278)
pbaldwin (administrator)
2010-09-24 10:49

Source Code Changelog
---------------------------------------------------
- Change password chat timeout to give password changes enough time [tracker 0000120]

File Changes
---------------------------------------------------
Details: http://code.clearfoundation.com/svn/revision.php?repname=ClearOS&rev=96 [^]
U legacy/modules/branches/5.2/app-samba-api/smb.conf
U legacy/modules/branches/5.2/app-samba-api/upgrade
(0000290)
pbaldwin (administrator)
2010-10-06 15:48

Errata CFBA-2010:095
http://clearsdn.clearcenter.com/software/detail.php?aid=95 [^]

- Issue History
Date Modified Username Field Change
2010-08-04 10:01 pbaldwin New Issue
2010-08-04 10:02 pbaldwin Description Updated
2010-08-04 10:02 pbaldwin Status new => assigned
2010-08-04 10:02 pbaldwin Assigned To => pbaldwin
2010-09-01 13:45 pbaldwin Relationship added has duplicate 0000131
2010-09-15 14:35 pbaldwin Checkin
2010-09-15 14:35 pbaldwin Note Added: 0000271
2010-09-15 14:37 pbaldwin Checkin
2010-09-15 14:37 pbaldwin Note Added: 0000272
2010-09-15 14:41 pbaldwin Status assigned => resolved
2010-09-15 14:41 pbaldwin Fixed in Version => 5.2
2010-09-15 14:41 pbaldwin Resolution open => fixed
2010-09-24 10:49 pbaldwin Checkin
2010-09-24 10:49 pbaldwin Note Added: 0000278
2010-09-24 12:25 pbaldwin Fixed in Version 5.2 => 5.2-SP
2010-09-24 12:25 pbaldwin Target Version => 5.2-SP
2010-10-06 15:48 pbaldwin Note Added: 0000290
2010-10-06 15:48 pbaldwin Status resolved => closed